using System;
using System.Collections.Generic;
using System.Text;

namespace org.wayoda.csiow {
    /// <summary>
    /// A delegate for the events generated when IOWarriors are added or removed.
    /// </summary>
    /// <param name="sender">
    /// This will always be the IowDeviceManager singleton
    /// </param>
    /// <param name="e"></param>
    public delegate void IowDeviceEventHandler(Object sender, IowDeviceEventArgs e);
    /// <summary>
    /// A delegate for an event fired when new data was read from the IOWarrior
    /// </summary>
    /// <param name="sender">
    /// The IOWarrior from which the data was read
    /// </param>
    /// <param name="e">
    /// The specialmode-type and data for the new report 
    /// </param>
    public delegate void IowReportEventHandler(Object sender, IowReportEventArgs e);
    /// <summary>
    /// A delegate for an event fired when an IOWarrior was unplugged.
    /// </summary>
    /// <param name="sender">
    /// The IOWarrior that was unplugged.
    /// </param>
    /// <param name="e">
    /// The reason why the IOWarrior was unplugged.
    /// </param>
    public delegate void IowUnplugEventHandler(Object sender, IowUnplugEventArgs e);

}
