using System;
using System.Collections.Generic;
using System.Text;

namespace org.wayoda.csiow {
    /// <summary>
    /// This interface needs to be implemented by an application that
    /// wants to be notified when an IOWarrior was plugged in or
    /// removed.
    /// </summary>
    public interface IowDeviceChangeListener {
        /// <summary>
        /// Called from the IowManager when a new IOWarrior
        /// was plugged into the system.
        /// </summary>
        /// <param name="iow">
        /// The device that was plugged in. 
        /// </param>
        void deviceAdd(IOWarrior iow);

        /// <summary>
        /// Called from the IowManager when an IOWarrior
        /// was unplugged.
        /// </summary>
        /// <param name="iow">The device that has been removed</param>
        void deviceRemoved(IOWarrior iow);
    }
}
