using System;
using System.Collections.Generic;
using System.Text;

namespace org.wayoda.csiow {
    public class IowDeviceEventArgs : EventArgs {
        public const int DEVICE_ADD=1;
        public const int DEVICE_REMOVED=0;
        private int action;
        private IOWarrior iow;

        public IowDeviceEventArgs(int action,IOWarrior iow) {
            this.action=action;
            this.iow=iow;
        }

        public int getAction() {
            return action;
        }

        public IOWarrior getDevice() {
            return iow;
        }

        public String Message() {
            StringBuilder sb=new StringBuilder();
            if(action==DEVICE_ADD)
                sb.Append("Device added : ");
            else
                sb.Append("Device removed : ");
            sb.Append(iow);
            return sb.ToString();
        }

        public override String ToString() {
            return Message();
        }
      }
}
