using System;
using System.Collections.Generic;
using System.Text;

namespace org.wayoda.csiow {
    public class IowUnplugEventArgs : EventArgs {
        public const int DEVICE_ERROR=1;
        public const int DEVICE_REMOVED=0;
        private int action;
        private int error;

        public IowUnplugEventArgs(int action, int error) {
            this.action=action;
            this.error=error;
        }

        public int getAction() {
            return action;
        }

        public int getError() {
            return error;
        }

        public override String ToString() {
            StringBuilder sb=new StringBuilder();
            if(action==DEVICE_REMOVED)
                sb.Append("Device unplugged");
            else {
                sb.Append("Device removed on error : ");
                sb.Append(error);
            }
            return sb.ToString();
        }
    }
}
